def is_isogram(inp):
    letList = []
    for i in inp.lower():
        if i.isalpha():
            if not(i in letList):
                letList.append(i)
            else:
                return False
    return True
